> For the complete documentation index, see [llms.txt](https://docs.ifreeq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ifreeq.com/general-knowledge/the-third-party-control/yandex-alice.md).

# Yandex Alice

## Overview

&#x20;**Alice** ([Russian](https://en.wikipedia.org/wiki/Russian_language): Алиса (Alisa)) is a Russian [intelligent personal assistant](https://en.wikipedia.org/wiki/Intelligent_personal_assistant) for [Android](https://en.wikipedia.org/wiki/Android_\(operating_system\)), [iOS](https://en.wikipedia.org/wiki/IOS) and [Windows](https://en.wikipedia.org/wiki/Microsoft_Windows) operating systems developed by [Yandex](https://en.wikipedia.org/wiki/Yandex). Alice was officially introduced on 10 October 2017. Aside from common tasks, such as internet search or weather forecasts, it can also run applications[\[1\]](https://en.wikipedia.org/wiki/Alice_\(virtual_assistant\)#cite_note-alice-1) and chit-chat. Alice is also the virtual assistant used for the Yandex Station [smart speaker](https://en.wikipedia.org/wiki/Smart_speaker).[\[2\]](https://en.wikipedia.org/wiki/Alice_\(virtual_assistant\)#cite_note-2)

## Development

A [beta version](https://en.wikipedia.org/wiki/Beta_version) of Alice was released in May 2017.[\[3\]](https://en.wikipedia.org/wiki/Alice_\(virtual_assistant\)#cite_note-yandex-3) Later a [neural network](https://en.wikipedia.org/wiki/Neural_network)-based "chit-chat" engine was added allowing [Russian](https://en.wikipedia.org/wiki/Russian_language)-speaking users to have free conversations with Alice about anything.[\[3\]](https://en.wikipedia.org/wiki/Alice_\(virtual_assistant\)#cite_note-yandex-3) [Speech recognition](https://en.wikipedia.org/wiki/Speech_recognition) was found to be particularly challenging for the Russian language due to its grammatical and morphological complexities. To handle it, Alice was equipped with Yandex’s SpeechKit, which, according to [word error rate](https://en.wikipedia.org/wiki/Word_error_rate), provides the highest accuracy for spoken Russian recognition.[\[3\]](https://en.wikipedia.org/wiki/Alice_\(virtual_assistant\)#cite_note-yandex-3) Alice's voice is based on that of the Russian voice actress Tatyana Shitova.[\[3\]](https://en.wikipedia.org/wiki/Alice_\(virtual_assistant\)#cite_note-yandex-3)

Voice requests to Alice are processed by Yandex [cloud](https://en.wikipedia.org/wiki/Cloud_computing) servers to retain some of them with the aim of expanding Alisa's training set data. According to Denis Filippov, head of Yandex Speech Technologies, the retained voice data are completely anonymous and without any association with users' accounts.[\[4\]](https://en.wikipedia.org/wiki/Alice_\(virtual_assistant\)#cite_note-4)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ifreeq.com/general-knowledge/the-third-party-control/yandex-alice.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
